﻿using FluentValidation;

namespace InternshipSystem.Api.Queries
{
    public class StudentForm
    {
        public long Id { get; set; }
        public int? AlbumNumber { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Email { get; set; }
        public string Course { get; set; }
        public int? Semester { get; set; }
        
        public class Validator : AbstractValidator<StudentForm>
        {
            public Validator()
            {
                RuleFor(c => c.Id).NotNull();
            }
        }
    }
}